# $Revision: 1.8 $, $Date: 2010/12/06 15:44:07 $
%define		file_version	%(echo %{version} | tr . _)
Summary:	A simple, small, C++ XML parser
Summary(pl.UTF-8):	Prosty, mały, napisany w C++ parser XML
Name:		tinyxml
Version:	2.6.1
Release:	1
License:	zlib
Group:		Libraries
Source0:	http://downloads.sourceforge.net/tinyxml/%{name}_%{file_version}.zip
# Source0-md5:	60f92af4f43364ab0c6d5b655e804bd3
Patch0:		%{name}-flags.patch
URL:		http://www.grinninglizard.com/tinyxml/
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TinyXML is a simple, small, C++ XML parser that can be easily
integrating into other programs.

%description -l pl.UTF-8
TinyXML to prosty, mały, napisany w C++ parser XML, który może być w
łatwy sposób integrowany z innymi programami.

%package devel
Summary:	Header files for tinyxml library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki tinyxml
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for tinyxml library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki tinyxml.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	LD="%{__cxx}" \
	OPTFLAGS="%{rpmcppflags} %{rpmcxxflags}" \
	LDFLAGS="%{rpmldflags}"

# Not really designed to be built as lib
for i in tinyxml.cpp tinystr.cpp tinyxmlerror.cpp tinyxmlparser.cpp; do
	libtool --tag=CXX --mode=compile \
		%{__cxx} %{rpmcppflags} %{rpmcxxflags} -o $i.lo -c $i
done
libtool --tag=CXX --mode=link \
	%{__cxx} %{rpmcxxflags} %{rpmldflags} \
	-shared -rpath %{_libdir} -version-info 0:0:0 \
	-o libtinyxml.la *.cpp.lo

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir}}

cp -a xmltest $RPM_BUILD_ROOT%{_bindir}
cp -a tiny*.h $RPM_BUILD_ROOT%{_includedir}
libtool --mode=install %{__install} libtinyxml.la $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc changes.txt readme.txt
%attr(755,root,root) %{_bindir}/xmltest
%attr(755,root,root) %{_libdir}/libtinyxml.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtinyxml.so.0

%files devel
%defattr(644,root,root,755)
%{_libdir}/libtinyxml.so
%{_libdir}/libtinyxml.la
%{_includedir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tinyxml.spec,v $
Revision 1.8  2010/12/06 15:44:07  lisu
- package libtinyxml.la and libtinyxml.so.0 as ghost

Revision 1.7  2010/12/06 15:36:16  sparky
- cleanups

Revision 1.6  2010/12/06 15:27:51  sparky
- use libtool to build library, use 0:0:0 as its version
- BR: libstdc++-devel, libtool

Revision 1.5  2010/12/06 15:09:14  lisu
- one more fix

Revision 1.4  2010/12/06 15:04:34  lisu
- cosmetics

Revision 1.3  2010/12/06 14:53:42  lisu
- one more header

Revision 1.2  2010/12/06 14:28:18  lisu
- zlib license

Revision 1.1  2010/12/06 14:25:49  lisu
- added to PLD
